Package org.eclipse.lemminx.services

## Interface IXMLValidationService

All Known Implementing Classes:
  `XMLLanguageServer`

    public interface IXMLValidationService

XML Document validation service available to XML LS extensions

Author:
  Alex Boyko

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default void` `validate​(DOMDocument document)` Performs XML document validation
`void` `validate​(DOMDocument document, Map<String,​Object> validationArgs)` Performs XML document validation

### Method Detail

#### validate

    void validate​(DOMDocument document,
                  Map<String,​Object> validationArgs)

Performs XML document validation

Parameters:
  `document` - the XML document
  `validationArgs` - validation arguments.

#### validate

    default void validate​(DOMDocument document)

Performs XML document validation

Parameters:
  `document` - the XML document